<?
function intext($text)
{   // Заглушка для функции вставки текста
return ft_nic($text);
}
//
function outtext($text)
{  // Заглушка для функции вывода текста
return $text;
}
// Исполняемый блок
// Проверка написания сообщения
$mode=''; $_SESSION['title']="Контакты $user[login] ";
if(isset($_GET['id']))
{
  $mailto=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE  `id`='".intval($_GET['id'])."' LIMIT 1"));
  
  if($mailto){$mode='sendmail'; $_SESSION['title']="Сообщение для $mailto[login] ";}
  //
  if(isset($_POST['sendpost']))
  {
  #echo $_POST['postmsg']." - тело сообщения!<br />";
  $err='';
  $post=intext($_POST['postmsg']);
  if($post==''){$err.="Сообщение не должно быть пустым! ";}
  if(strlen2($post)>1024){$err.="Слишком длинное сообщение! ";}
    if ($err=='')
    {
      mysql_query("INSERT INTO `mail` SET
        `id_user`='$user[id]',
        `user_login`='$user[login]',
        `id_kont`='$mailto[id]',
        `kont_login`='$mailto[login]',
        `time`='$s_time',
        `msg`='$post',
        `read`='0'
       ");
       if(mysql_affected_rows()>0){mset_msg(" Сообщение для $mailto[login] успешно отправлено! ");}else{mset_err(" Не удалось отправить сообщение для $mailto[login]! "); }  
    }else{mset_err($err); }  
  }
  //
}
//
if(isset($_GET['new']))
{
$mode='new';
$newmails=mysql_query(" SELECT * FROM `mail` WHERE (`id_kont`='$user[id]' AND `read`='0')");
  if(mysql_num_rows($newmails))
  {
  $nmails_arr=array(); $nmails_count=array();
    while($data=mysql_fetch_array($newmails))
      {
      @$nmails_count[$data['id_user']]++;
      $nmails_arr[$data['id_user']]=$data['user_login']."(".intval($nmails_count[$data['id_user']]).")";
      }
  unset($nmails_count);
  }
mysql_free_result($newmails);
}






heads($headers_page, $set_ob_start);   //подключение шапки
include_once SYS."/navmenu.php";
// Формы
// Выборка контактов
if(!$mode)
{
$str_cont='';
$all=@mysql_result(mysql_query("SELECT count(*) FROM `mail` WHERE (`id_kont`='$user[id]') GROUP BY `id_kont`"),0);
$pnumber=$user['pstr']; //$user['set_p_str']; //Элементов на страницу 1;//
    if(!isset($_GET['page'])){$_GET['page']=1;}
		//$n=new Navigator($all,$pnumber);
    $n=k_page($all,$pnumber);
    if($_GET['page']=='end'){$page=$n;}
    else{$page=intval($_GET['page']);}
    if($page<1){$page=1;}
    $start=$page*$pnumber-$pnumber;
    if($start<1){$start=0;}
  $uss=mysql_query("SELECT * FROM `mail` WHERE (`id_kont`='$user[id]') GROUP BY `id_kont` LIMIT $start,$pnumber");
  #if(mysql_error()) echo mysql_error()."<br />";
  if(mysql_num_rows($uss))
  {
  echo "<div class='post'>";
    while($data=mysql_fetch_array($uss))
      {
        $str_cont.= "<a href='?l=mail&id=$data[id_user]'> $data[user_login] </a><br />";   //id_user
      }
      
  echo "</div>";

if($n>1){echo str2($link="?l=mail&",$n,$page);}  
  }
if($str_cont!=''){echo $str_cont; }else{echo "<div class='errh'>нет новых контактов</div>";}
unset ($str_cont);
}

if ($mode=='sendmail' and $mailto)
{
$all=mysql_result(mysql_query("SELECT count(*) FROM `mail` WHERE (`id_user`='$user[id]' AND `id_kont`='$mailto[id]') OR (`id_kont`='$user[id]' AND `id_user`='$mailto[id]') ORDER BY `time` DESC"),0);
$pnumber=$user['pstr']; //$user['set_p_str']; //Элементов на страницу 1;//
    if(!isset($_GET['page'])){$_GET['page']=1;}
		//$n=new Navigator($all,$pnumber);
    $n=k_page($all,$pnumber);
    if($_GET['page']=='end'){$page=$n;}
    else{$page=intval($_GET['page']);}
    if($page<1){$page=1;}
    $start=$page*$pnumber-$pnumber;
    if($start<1){$start=0;}
//  Выборка уже существующих сообщений этого контакта
$mails=mysql_query("SELECT * FROM `mail` WHERE (`id_user`='$user[id]' AND `id_kont`='$mailto[id]') OR (`id_kont`='$user[id]' AND `id_user`='$mailto[id]') ORDER BY `time` DESC LIMIT $start,$pnumber");
//

echo "<form class='post' action='' method='post'>";
echo "Сообщение для $mailto[login]<br />";
echo "<textarea name='postmsg'></textarea><br /> ";
echo "<input type='submit' name='sendpost' value='отправить' />";
echo "</form>";

  if(mysql_num_rows($mails))
  {
  echo "<div class='post'>";
    while($data=mysql_fetch_array($mails))
      {
        $new=''; if($data['read']=='0'){$new=' <font color=\'red\'>[NEW]</font>';}
        echo vremja($data['time'])." $new ".outtext(" $data[user_login] &gt; $data[kont_login]&#58; $data[msg]<hr />");
      }
  echo "</div>";
if($n>1){echo str2($link="?l=mail&id=$mailto[id]&",$n,$page);}
  // Обнуляем прочитанные посты
  mysql_query("UPDATE `mail` SET `read`='1' WHERE `id_user`='$mailto[id]' AND `id_kont`='$user[id]'");
  }

}
// Выборка новых сообщений по контактам
if ($mode=='new' and is_array($nmails_arr))
{
echo "<div class='post'>";
  foreach($nmails_arr as $k=>$v)
  {
    echo "<a href='?l=mail&id=$k'>".$v."</a><br />";
  }
echo "</div>";
}
//
if($mode) echo "<a href='?l=mail'>Контакты</a>";
?>